/***************************************************************************
 *   Copyright (C) 2004 by Christoph Thielecke                             *
 *   crissi99@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "profilepptpoptions.h"

#include <tqcheckbox.h>
#include <tqspinbox.h>
#include <klineedit.h>
#include "widgetnotifyhelper.h"
#include <iostream>

ProfilePptpOptions::ProfilePptpOptions(TQWidget *parent)
		: ProfilePptpOptionsBase(parent)
{
	WidgetNotifyHelper h;
	h.setupChangedAction(this);
	dialogModified=false;
}


ProfilePptpOptions::~ProfilePptpOptions()
{}

void ProfilePptpOptions::useDnsServerToggled(bool)
{
	if ( DnsServerCheckbox->isChecked() )
		DnsServerLineedit->setEnabled( true );
	else
		DnsServerLineedit->setEnabled( false );
}


void ProfilePptpOptions::useSearchDomainInResolvConfToggled(bool)
{
	if ( UseSearchDomainInResolvConfCheckbox ->isChecked() )
		SearchDomainInResolvConfLineedit->setEnabled( true );
	else
		SearchDomainInResolvConfLineedit->setEnabled( false );
}

void ProfilePptpOptions::useDomainInResolvConfToggled(bool)
{
	if ( UseDomainInResolvConfCheckbox ->isChecked() )
		DomainInResolvConfLineedit->setEnabled( true );
	else
		DomainInResolvConfLineedit->setEnabled( false );
}

void ProfilePptpOptions::dialogChanged()
{
// 	std::cout << "ProfilePptpOptions::dialogChanged()" << std::endl;
	dialogModified=true;
}

#include "profilepptpoptions.moc"


